import { _decorator, Component, Node } from 'cc';
import { interact_input_data } from '../../../data/data';
import { receive_res_item } from './receive_res_item';
const { ccclass, property } = _decorator;

@ccclass('res_interact_input')
export class res_interact_input extends Component {
    @property(Node) img_number_0:Node = null;
    @property(Node) img_number_1:Node = null;
    @property(Node) img_number_2:Node = null;
    @property(Node) img_number_3:Node = null;
    @property(Node) img_number_4:Node = null;
    @property(Node) img_number_5:Node = null;
    @property(Node) img_number_6:Node = null;
    @property(Node) img_number_7:Node = null;
    @property(Node) img_number_8:Node = null;
    @property(Node) img_number_9:Node = null;
    @property(Node) img_number_xing:Node = null;
    @property(Node) img_number_jing:Node = null;
    @property(Node) img_bg:Node = null;
    @property(Node) input_default:Node = null;
    @property(Node) input_fail:Node = null;
    @property(Node) input_right:Node = null;
    private m_data:interact_input_data = null;
    public initView(data:interact_input_data){
        this.m_data = data;
        this.img_bg.getComponent(receive_res_item).initView( this.m_data.bg)
        this.img_number_0.getComponent(receive_res_item).initView( this.m_data.image_0)
        this.img_number_1.getComponent(receive_res_item).initView( this.m_data.image_1)
        this.img_number_2.getComponent(receive_res_item).initView( this.m_data.image_2)
        this.img_number_3.getComponent(receive_res_item).initView( this.m_data.image_3)
        this.img_number_4.getComponent(receive_res_item).initView( this.m_data.image_4)
        this.img_number_5.getComponent(receive_res_item).initView( this.m_data.image_5)
        this.img_number_6.getComponent(receive_res_item).initView( this.m_data.image_6)
        this.img_number_7.getComponent(receive_res_item).initView( this.m_data.image_7)
        this.img_number_8.getComponent(receive_res_item).initView( this.m_data.image_8)
        this.img_number_9.getComponent(receive_res_item).initView( this.m_data.image_9)
        this.img_number_xing.getComponent(receive_res_item).initView( this.m_data.image_xing)
        this.img_number_jing.getComponent(receive_res_item).initView( this.m_data.image_jing)
        this.input_default.getComponent(receive_res_item).initView( this.m_data.input_default)
        this.input_fail.getComponent(receive_res_item).initView( this.m_data.input_fail)
        this.input_right.getComponent(receive_res_item).initView( this.m_data.input_right)
    }
}


